## org.apache.hadoop.mapred
Enum JobTracker.SafeModeAction

    java.lang.Object
      java.lang.Enum<JobTracker.SafeModeAction>
          org.apache.hadoop.mapred.JobTracker.SafeModeAction

All Implemented Interfaces:
  Serializable, Comparable<JobTracker.SafeModeAction>

Enclosing class:
  JobTracker

    public static enum JobTracker.SafeModeAction

extends Enum<JobTracker.SafeModeAction>

JobTracker SafeMode

Enum Constant Summary
`SAFEMODE_ENTER`
`SAFEMODE_GET`
`SAFEMODE_LEAVE`

Method Summary
`static JobTracker.SafeModeAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobTracker.SafeModeAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SAFEMODE_LEAVE

    public static final JobTracker.SafeModeAction SAFEMODE_LEAVE

### SAFEMODE_ENTER

    public static final JobTracker.SafeModeAction SAFEMODE_ENTER

### SAFEMODE_GET

    public static final JobTracker.SafeModeAction SAFEMODE_GET

Method Detail

### values

    public static JobTracker.SafeModeAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobTracker.SafeModeAction c : JobTracker.SafeModeAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobTracker.SafeModeAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009 The Apache Software Foundation